::cisco::eem::event_register_timer watchdog time $check_interval nice 1
#
# Namespace imports
#
namespace import ::cisco::eem::*
namespace import ::cisco::lib::*
#--- Check required environment variable(s) has been defined
if {![info exists dial_peer_number]} {
    set result "EEM Policy Error: variable dial_peer_number has not been set"
    error $result $errorInfo
}
#------------------- " cli open" -------------------
if [catch {cli_open} result] {
    error $result $errorInfo
} else {
    array set cli $result
}
#----------------------- "enable" ----------------------
if [catch {cli_exec $cli(fd) "enable"} result] { error $result $errorInfo }
#-------------- grab sip ood options-ping and track status --------------
if [catch {cli_exec $cli(fd) "show dial-peer voice $dial_peer_number | inc options-keepalive dial-peer action"} result] {
    error $result $errorInfo
}
set cmd_output $result

array set track_result [action_track_read $dial_peer_number]
set track_state $track_result(state)
#-------------- set stub status --------------
if [string match "*busyout*" $cmd_output] {
    if { $track_state == "up" } {
        action_track_set $dial_peer_number state "down"
    }
}
if [string match "*active*" $cmd_output] {
    if { $track_state == "down" } {
        action_track_set $dial_peer_number state "up"
    }
}
#--------------------- cli close ------------------------
catch {cli_close $cli(fd) $cli(tty_id)} result